//---------------------------------------------------------------------------//
//
//	Graphics - Renderer (inline)
//
//	Date : 2008/04/07
//
//---------------------------------------------------------------------------//

DWORD CRenderer::GetNumRenderedPrimitive()
{
	return m_dwNumRenderedPrimitive;
}

DWORD CRenderer::GetNumCallDrawPrimitive()
{
	return m_dwNumCallDrawPrimitive;
}

//!   Ѵ. ()
void CRenderer::SetView(const matrix4& matView)
{
	m_pDevice->SetTransform(D3DTS_VIEW, &matView);
	m_matView = matView;
}

//!  Ǿִ   Ѵ.
const matrix4& CRenderer::GetView() const
{
	return m_matView;
}

//!   Ѵ.
void CRenderer::SetProj(const matrix4& matProj)
{
	m_pDevice->SetTransform(D3DTS_PROJECTION, &matProj);
	m_matProj = matProj;
}

//!  Ǿִ   Ѵ.
const matrix4& CRenderer::GetProj() const
{
	return m_matProj;
}

//!   Ѵ.
void CRenderer::SetWorld(const matrix4& matWorld)
{
	m_pDevice->SetTransform(D3DTS_WORLD, &matWorld);
	m_matWorld = matWorld;
}

//!  Ǿִ   Ѵ.
const matrix4& CRenderer::GetWorld() const
{
	return m_matWorld;
}

D3DFORMAT CRenderer::GetBackBufferFormat() 
{
	ASSERT(m_d3dpp.BackBufferFormat != D3DFMT_UNKNOWN);
	return m_d3dpp.BackBufferFormat;
}

LPDIRECT3DDEVICE9 CRenderer::GetDevice()
{
	ASSERT(m_pDevice);
	return m_pDevice;
}